Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans.lifecycle
Class DailyLifecycleDateRule

    java.lang.Object
      oracle.ifs.beans.lifecycle.LifecycleDateRuleAdapter
          oracle.ifs.beans.lifecycle.DailyLifecycleDateRule

All Implemented Interfaces:
  LifecycleDateRule

    public class DailyLifecycleDateRule

extends LifecycleDateRuleAdapter

Implementation of LifecycleDateRule which uses midnight on the day after the document creation date as the LifecycleDate.

Constructor Summary
`DailyLifecycleDateRule()` Constructs a DailyLifecycleDateRule.

Method Summary
`java.util.Date` | `getLifecycleDate(java.util.Date createDate)` Determine the LifecycleDate based on a creation date and the specified LifecyclePolicy.
`void` | `initialize(LifecycleDateRuleSpecification ldrs)` Initialize this instance.

Methods inherited from class oracle.ifs.beans.lifecycle.LifecycleDateRuleAdapter
`getLifecycleDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DailyLifecycleDateRule

    public DailyLifecycleDateRule()

  Constructs a DailyLifecycleDateRule.

Method Detail

### initialize

    public void initialize(LifecycleDateRuleSpecification ldrs)
                    throws IfsException

  Description copied from interface: `LifecycleDateRule`
  Initialize this instance.

  Called immediately after construction (via the default constructor) and used so that the implementation can initialize session-independent state. This instance may be used concurrently by multiple threads.

  Specified by:
    `initialize` in interface `LifecycleDateRule`
  Overrides:
    `initialize` in class `LifecycleDateRuleAdapter`
  Parameters:
    `ldrs` - the LifecycleDateRuleSpecification that references this instance
  Throws:
    `IfsException` - if the operation fails

### getLifecycleDate

    public java.util.Date getLifecycleDate(java.util.Date createDate)
                                    throws IfsException

  Description copied from interface: `LifecycleDateRule`
  Determine the LifecycleDate based on a creation date and the specified LifecyclePolicy.

  This variant takes a document creation date and a LifecyclePolicy, and is typically used when creating a document and assigning a LifecyclePolicy at the same time.

  Specified by:
    `getLifecycleDate` in interface `LifecycleDateRule`
  Overrides:
    `getLifecycleDate` in class `LifecycleDateRuleAdapter`
  Parameters:
    `createDate` - the creation date of a Document being created
  Returns:
    the LifecycleDate to use for the document
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD